%define anolis_release 1
%global pypi_name lmdb
%global pypi_version 1.4.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Universal Python binding for the LMDB 'Lightning' Database

License:        OLDAP-2.8
URL:            http://github.com/jnwatson/py-lmdb/
Source0:        %{pypi_source}

BuildRequires:  python3-devel pytest
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
Universal Python binding for the LMDB 'Lightning' Database

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Universal Python binding for the LMDB 'Lightning' Database

%package -n python-%{pypi_name}-doc
Summary:        lmdb documentation
%description -n python-%{pypi_name}-doc
Documentation for lmdb

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%pytest

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 1.4.1-1
- Initial package.
